package com.glxp.mipsdl.entity.hlhyxyy;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 医疗器械产品信息查询
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "v_a002")
public class VA002 implements Serializable {
    @TableField(value = "LASTUPDATETIME")
    private String lastupdatetime;

    @TableField(value = "CODE")
    private String code;

    @TableField(value = "`NAME`")
    private String name;

    @TableField(value = "MEASNAME")
    private String measname;

    @TableField(value = "`STANDARD`")
    private String standard;

    @TableField(value = "REGISTERNO")
    private String registerno;

    @TableField(value = "MANUFACTORYCODE")
    private String manufactorycode;

    @TableField(value = "MANUFACTORY")
    private String manufactory;

    @TableField(value = "SUPCODE")
    private String SUPCODE;

    @TableField(value = "SUPNAME")
    private String SUPNAME;

    @TableField(value = "CPLB")
    private String CPLB;

    @TableField(value = "FLBM")
    private String FLBM;

    @TableField(value = "QXLB")
    private String QXLB;

    @TableField(value = "YBBM")
    private String YBBM;

    @TableField(value = "SPTM")
    private String SPTM;

    @TableField(value = "TYSHXYDM")
    private String TYSHXYDM;

    @TableField(value = "YLQXZCRBARMC")
    private String YLQXZCRBARMC;

    @TableField(value = "YLQXZCRBARYWMC")
    private String YLQXZCRBARYWMC;

    @TableField(value = "CPMS")
    private String CPMS;

    @TableField(value = "SPMC")
    private String SPMC;

    @TableField(value = "QTBM")
    private String QTBM;

    @TableField(value = "ZCZYXQZ")
    private String ZCZYXQZ;

    @TableField(value = "PRICE")
    private String PRICE;

    @TableField(value = "RETAILPRICE")
    private String RETAILPRICE;

    @TableField(value = "INVCODE")
    private String INVCODE;

    @TableField(value = "REMARK")
    private String REMARK;

    @TableField(value = "REMARK1")
    private String REMARK1;

    @TableField(value = "REMARK2")
    private String REMARK2;

    @TableField(value = "REMARK3")
    private String REMARK3;

    @TableField(value = "REMARK4")
    private String REMARK4;

    @TableField(value = "REMARK5")
    private String REMARK5;

    private static final long serialVersionUID = 1L;
}
